[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: monstrous failure of "yum update" on fedora 11 alpha



Eric Sandeen a écrit :
> Adam Williamson wrote:
>> On Wed, 2009-03-04 at 15:28 -0600, Eric Sandeen wrote:
>>
>>>> I can confirm yum update on fedora 11 alpha completely break the system
>>>> there are tons of error about md5 pb et it break after a while
>>>> I can't boot after it
>>>> Gives message about needing fsck but doesn't explain which partition is
>>>> the pb... (I mirrored two disk and created a lvm setup on top)
>>> If you got filesystem errors, please file a bug, with details of what
>>> fsck found.
>> I don't know why no-one else is pointing out the obvious, but this is
>> just the same perfectly known issue that's been brought up dozens of
>> times over the last few days and is mentioned now in the Alpha release
>> notes. To upgrade from F11 Alpha to current Rawhide, you need to do:
>>
>> yum update rpm\*
>>
>> first. Then it will work fine after that.
>>
>> Isn't that the source of this whole messy thread? Just a couple of
>> people who didn't see that memo?
> 
> It seems to be a conflation of a few things.
> 
> He mentioned the md5 mismatches, but also mentioned filesystem
> corruption, and ENOSPC.
> 
> The md5sum issue is the rpm thing.
> The ENOSPC issue is probably the old ext4 bug in alpha.
> The filesystem corruption is an unknown....
> 
> -Eric
> 
I can't file a bug on a partly updated system.
What I'm trying to do is replicate on a recent rawhide.
For this, I have to be able to install directly a rawhide system.

Unfortunately, that's not that easy.

boot.iso, which allow to directly install rawhide is very hard to find
on the mirrors (every mirror doesn't contain the same directories and
files !) and infrequently updated.

I found a 20090227 boot.iso, which was buggy
I opened bug 487976 on it, which was corrected I believe.

I had to wait until today to find a boot.iso on rawhide mirrors, which
is dated 20090306

Unfortunaltely, I encountered other bugs...

filled bug 489105 : install block if you have a multi card reader
I disconnected my multicard reader and I'm know blocked by bug 488987,
which was already opened...

Mat


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]